Subject: Re: Improved copy_page() function, about 30% speed up for mpc860!

From: "Joakim Tjernlund" <[email-masked]>
Date: Tue, 4 Mar 2003 00:16:10 +0100

> Joakim Tjernlund wrote:
>
> > I found a link that may have relevance regarding  the dcbz problem , can anybody confirm this?
> > http://www.uwsg.iu.edu/hypermail/linux/kernel/0012.0/0529.html
>
> This is just one of the many different things that happen with various
> silicon versions and the use of the cache instructions on the 8xx.
> In this particular case, we have fixed this "bug" because it affects
> other load/store instructions under some conditions (i.e. this isn't
> unique to the cache instructions).

OK so this is not it then, but what is it then? Are you 100% that
the bug(whatever this may be) is present for mpc860, rev D4 or later?
How can I make it bite me on kernel space memory?
I can't find that info in the archives, if it's there please give me a hint.

I have enabled all kernel functions that uses dcbz for 8xx as well. I even split copy_tofrom_user
into copy_from_myuser resp. copy_to_myuser and enabled dcbz in copy_from_myuser
and still everything is working just fine.

     Jocke

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/